Subject: [bug#36352] [PATCH] gnu: Add solvespace.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 03 Sep 2019 11:19:54 +0200

Hi Myles,

Myles English <[email-masked]> skribis:

> It looks as though a longawaited v3.0 release may be imminent, hence my
> delay in replying to your advice.  I'll wait another week or two before
> asking if it is going to drop 'soon'.  (I would have tried to justify my
> choice by referencing the unofficial Debian package, mentioned on the
> project's github page, using the master branch and calling itself v3.0.)

Sounds good!

>>> +         (uri (git-reference
>>
>>> +               (url "https://github.com/solvespace/solvespace.git")
>> >> +               (commit commit)
>> >> +               (recursive? #t)))
>> >
>> > Is ‘recursive?’ needed?  If it’s just for the bundled dependencies under
>> > extlib/ that are not used anyway, perhaps we can omit it?
>>
>
> Some of them are still used (sorry I can't check which ones just now).  I
> have trivially modified the build system so that if :recursive? is a list
> it only clones those submodules listed. I can find the patch later but its
> just a couple of lines.  If this is adopted should may be rename
> :recursive? or add another parameter?

At first sight I think I’d keep it simple and just keep ‘recursive?’ as
it is.  After all, if that fetches too many submodules in this specific
case, that’s not the end of the world and we can always delete them
explicitly afterwards.  I think it’s quite unusual to need some but not
all of the submodules.

Thanks,
Ludo’.